
// GLIB (container library for GTK+) example
// Source: https://www.ibm.com/developerworks/linux/tutorials/l-glib/
// gcc `pkg-config --cflags --libs glib-2.0` glib-test.c 

#include <stdio.h>
#include <glib.h>

int main(void) {
    GList *list = NULL;
    list = g_list_append(list, "Hello, world!");
    list = g_list_append(list, "Hello, second world!");
    list = g_list_append(list, "Hello, third world!");
    list = g_list_append(list, "Hello, alternative world!");
    printf("The first item is '%s'\n", g_list_first(list)->data);
    printf("The last item is '%s'\n", g_list_last(list)->data);
    g_list_free(list);
    return 0;
}
